%define upstream_name    HTML-Encoding
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Determine encoding of HTML/XHTML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Headers::Util)
BuildRequires: perl(HTTP::Response)
BuildArch: noarch

%description
HTML::Encoding helps to determine the encoding of HTML and XML/XHTML
documents...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Wed Dec 07 2011 kharec <kharec> 0.610.0-1.mga2
+ Revision: 178278
- imported package perl-HTML-Encoding


* Wed Dec 07 2011 cpan2dist 0.61-1mga
- initial mageia release, generated with cpan2dist
